Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.email.transformers
Class ObjectToMimeMessage

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.AbstractMessageTransformer
              org.mule.transport.email.transformers.StringToEmailMessage
                  org.mule.transport.email.transformers.ObjectToMimeMessage

All Implemented Interfaces:
  MuleContextAware, MuleContextNotificationListener<MuleContextNotification>, ServerNotificationListener<MuleContextNotification>, Disposable, Initialisable, NamedObject, MessageProcessor, MessageTransformer, Transformer, EndpointAware

    public class ObjectToMimeMessage

extends StringToEmailMessage

Transforms a `Message` to a `MuleMessage`, with support for attachments

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`encoding, endpoint, mimeType, MULE_MESSAGE_DATA_TYPE, muleContext, name, returnType, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`ObjectToMimeMessage()`

Method Summary
`protected void` | `addBodyPartHeaders(BodyPart part, String name, MuleMessage message)`
`protected BodyPart` | `getBodyPartForAttachment(DataHandler handler, String name)`
`protected BodyPart` | `getPayloadBodyPart(Object payload, String contentType)`
`protected void` | `setContent(Object payload, Message msg, String contentType, MuleMessage message)`
`void` | `setUseInboundAttachments(boolean useInboundAttachments)` Set whether inbound attachments should be transformed into MIME parts
`void` | `setUseOutboundAttachments(boolean useOutboundAttachments)` Set whether outbound attachments should be transformed into MIME parts

Methods inherited from class org.mule.transport.email.transformers.StringToEmailMessage
`lookupProperty, transformMessage`

Methods inherited from class org.mule.transformer.AbstractMessageTransformer
`checkReturnClass, doTransform, isSourceDataTypeSupported, transform, transform, transform`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, dispose, generateTransformerName, getEncoding, getEncoding, getEndpoint, getMimeType, getName, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, initialise, isAcceptNull, isAllowNullReturn, isConsumed, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, isSourceTypeSupported, onNotification, process, registerSourceType, registerSourceType, setAllowNullReturn, setEncoding, setEndpoint, setIgnoreBadInput, setMimeType, setMuleContext, setName, setReturnClass, setReturnDataType, toString, transform, unregisterSourceType, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transformer.Transformer
`getEncoding, getEndpoint, getMimeType, getReturnClass, getReturnDataType, getSourceDataTypes, getSourceTypes, isAcceptNull, isIgnoreBadInput, isSourceDataTypeSupported, isSourceTypeSupported, setReturnClass, setReturnDataType, transform`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Methods inherited from interface org.mule.api.NamedObject
`getName, setName`

Methods inherited from interface org.mule.api.context.MuleContextAware
`setMuleContext`

Methods inherited from interface org.mule.endpoint.EndpointAware
`setEndpoint`

Constructor Detail

### ObjectToMimeMessage

    public ObjectToMimeMessage()

Method Detail

### setContent

    protected void setContent(Object payload,
                              Message msg,
                              String contentType,
                              MuleMessage message)
                       throws Exception

  Overrides:
    `setContent` in class `StringToEmailMessage`
  Throws:
    `Exception`

### addBodyPartHeaders

    protected void addBodyPartHeaders(BodyPart part,
                                      String name,
                                      MuleMessage message)

### getBodyPartForAttachment

    protected BodyPart getBodyPartForAttachment(DataHandler handler,
                                                String name)
                                         throws MessagingException

  Throws:
    `MessagingException`

### getPayloadBodyPart

    protected BodyPart getPayloadBodyPart(Object payload,
                                          String contentType)
                                   throws MessagingException,
                                          TransformerException,
                                          IOException

  Throws:
    `MessagingException`
    `TransformerException`
    `IOException`

### setUseInboundAttachments

    public void setUseInboundAttachments(boolean useInboundAttachments)

  Set whether inbound attachments should be transformed into MIME parts

### setUseOutboundAttachments

    public void setUseOutboundAttachments(boolean useOutboundAttachments)

  Set whether outbound attachments should be transformed into MIME parts

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.